/**  版本信息模板在安装目录下，可自行修改。
* T_Equipment.cs
*
* 功 能： N/A
* 类 名： T_Equipment
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2022/10/9 09:54:19   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using RMYY_CallCenter_Api.DB;

namespace RMYY_CallCenter_Api.DAL
{
	/// <summary>
	/// 数据访问类:T_Equipment
	/// </summary>
	public partial class T_Equipment
	{
		public T_Equipment()
		{}
		#region  BasicMethod

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
		return DbHelperSQL.GetMaxID("F_EquipID", "T_Equipment"); 
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int F_EquipID)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) from T_Equipment");
			strSql.Append(" where F_EquipID=@F_EquipID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_EquipID", SqlDbType.Int,4)
			};
			parameters[0].Value = F_EquipID;

			return DbHelperSQL.Exists(strSql.ToString(),parameters);
		}


		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int Add(RMYY_CallCenter_Api.Model.T_Equipment model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("insert into T_Equipment(");
			strSql.Append("F_EquipName,F_EquipNumber,F_EquipPrice,F_State,F_CreateUser,F_CreateTime,F_DeptId)");
			strSql.Append(" values (");
			strSql.Append("@F_EquipName,@F_EquipNumber,@F_EquipPrice,@F_State,@F_CreateUser,@F_CreateTime,@F_DeptId)");
			strSql.Append(";select @@IDENTITY");
			SqlParameter[] parameters = {
					new SqlParameter("@F_EquipName", SqlDbType.NVarChar,200),
					new SqlParameter("@F_EquipNumber", SqlDbType.NVarChar,200),
					new SqlParameter("@F_EquipPrice", SqlDbType.Decimal,9),
					new SqlParameter("@F_State", SqlDbType.Int,4),
					new SqlParameter("@F_CreateUser", SqlDbType.NVarChar,50),
					new SqlParameter("@F_CreateTime", SqlDbType.DateTime),
					new SqlParameter("@F_DeptId", SqlDbType.Int,4)
                    
            };
			parameters[0].Value = model.F_EquipName;
			parameters[1].Value = model.F_EquipNumber;
			parameters[2].Value = model.F_EquipPrice;
			parameters[3].Value = model.F_State;
			parameters[4].Value = model.F_CreateUser;
			parameters[5].Value = model.F_CreateTime;
            parameters[6].Value = model.F_DeptId;
            object obj = DbHelperSQL.GetSingle(strSql.ToString(),parameters);
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(RMYY_CallCenter_Api.Model.T_Equipment model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("update T_Equipment set ");
			strSql.Append("F_EquipName=@F_EquipName,");
			strSql.Append("F_EquipNumber=@F_EquipNumber,");
			strSql.Append("F_EquipPrice=@F_EquipPrice,");
			strSql.Append("F_State=@F_State,");
			strSql.Append("F_CreateUser=@F_CreateUser,");
			strSql.Append("F_CreateTime=@F_CreateTime,");
            strSql.Append("F_DeptId=@F_DeptId");
            

            strSql.Append(" where F_EquipID=@F_EquipID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_EquipName", SqlDbType.NVarChar,200),
					new SqlParameter("@F_EquipNumber", SqlDbType.NVarChar,200),
					new SqlParameter("@F_EquipPrice", SqlDbType.Decimal,9),
					new SqlParameter("@F_State", SqlDbType.Int,4),
					new SqlParameter("@F_CreateUser", SqlDbType.NVarChar,50),
					new SqlParameter("@F_CreateTime", SqlDbType.DateTime),
                     new SqlParameter("@F_DeptId", SqlDbType.Int,4),
                    

                    new SqlParameter("@F_EquipID", SqlDbType.Int,4)};
			parameters[0].Value = model.F_EquipName;
			parameters[1].Value = model.F_EquipNumber;
			parameters[2].Value = model.F_EquipPrice;
			parameters[3].Value = model.F_State;
			parameters[4].Value = model.F_CreateUser;
			parameters[5].Value = model.F_CreateTime;
            parameters[6].Value = model.F_DeptId;
            parameters[7].Value = model.F_EquipID;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_EquipID)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_Equipment ");
			strSql.Append(" where F_EquipID=@F_EquipID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_EquipID", SqlDbType.Int,4)
			};
			parameters[0].Value = F_EquipID;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 批量删除数据
		/// </summary>
		public bool DeleteList(string F_EquipIDlist )
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_Equipment ");
			strSql.Append(" where F_EquipID in ("+F_EquipIDlist + ")  ");
			int rows=DbHelperSQL.ExecuteSql(strSql.ToString());
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_Equipment GetModel(int F_EquipID)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select  top 1 F_EquipID,F_EquipName,F_EquipNumber,F_EquipPrice,F_State,F_CreateUser,F_CreateTime,F_DeptId from T_Equipment ");
			strSql.Append(" where F_EquipID=@F_EquipID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_EquipID", SqlDbType.Int,4)
			};
			parameters[0].Value = F_EquipID;

			RMYY_CallCenter_Api.Model.T_Equipment model=new RMYY_CallCenter_Api.Model.T_Equipment();
			DataSet ds=DbHelperSQL.Query(strSql.ToString(),parameters);
			if(ds.Tables[0].Rows.Count>0)
			{
				return DataRowToModel(ds.Tables[0].Rows[0]);
			}
			else
			{
				return null;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_Equipment DataRowToModel(DataRow row)
		{
			RMYY_CallCenter_Api.Model.T_Equipment model=new RMYY_CallCenter_Api.Model.T_Equipment();
            if (row != null)
            {
                if (row["F_DeptId"] != null && row["F_DeptId"].ToString() != "")
                {
                    model.F_DeptId = int.Parse(row["F_DeptId"].ToString());
                }

                if (row["F_EquipID"]!=null && row["F_EquipID"].ToString()!="")
				{
					model.F_EquipID=int.Parse(row["F_EquipID"].ToString());
				}
				if(row["F_EquipName"]!=null)
				{
					model.F_EquipName=row["F_EquipName"].ToString();
				}
				if(row["F_EquipNumber"]!=null)
				{
					model.F_EquipNumber=row["F_EquipNumber"].ToString();
				}
				if(row["F_EquipPrice"]!=null && row["F_EquipPrice"].ToString()!="")
				{
					model.F_EquipPrice=decimal.Parse(row["F_EquipPrice"].ToString());
				}
				if(row["F_State"]!=null && row["F_State"].ToString()!="")
				{
					model.F_State=int.Parse(row["F_State"].ToString());
				}
				if(row["F_CreateUser"]!=null)
				{
					model.F_CreateUser=row["F_CreateUser"].ToString();
				}
				if(row["F_CreateTime"]!=null && row["F_CreateTime"].ToString()!="")
				{
					model.F_CreateTime=DateTime.Parse(row["F_CreateTime"].ToString());
				}
			}
			return model;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select F_EquipID,F_EquipName,F_EquipNumber,F_DeptId, convert(varchar(50),F_EquipPrice) as F_EquipPrice,F_State,F_CreateUser,F_CreateTime ");
			strSql.Append(" FROM T_Equipment ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" F_EquipID,F_EquipName,F_EquipNumber,F_EquipPrice,F_State,F_CreateUser,F_CreateTime ,F_DeptId ");
			strSql.Append(" FROM T_Equipment ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获取记录总数
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) FROM T_Equipment ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			object obj = DbHelperSQL.GetSingle(strSql.ToString());
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("SELECT * FROM ( ");
			strSql.Append(" SELECT ROW_NUMBER() OVER (");
			if (!string.IsNullOrEmpty(orderby.Trim()))
			{
				strSql.Append("order by T." + orderby );
			}
			else
			{
				strSql.Append("order by T.F_EquipID desc");
			}
			strSql.Append(")AS Row, T.*  from T_Equipment T ");
			if (!string.IsNullOrEmpty(strWhere.Trim()))
			{
				strSql.Append(" WHERE " + strWhere);
			}
			strSql.Append(" ) TT");
			strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/*
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		{
			SqlParameter[] parameters = {
					new SqlParameter("@tblName", SqlDbType.VarChar, 255),
					new SqlParameter("@fldName", SqlDbType.VarChar, 255),
					new SqlParameter("@PageSize", SqlDbType.Int),
					new SqlParameter("@PageIndex", SqlDbType.Int),
					new SqlParameter("@IsReCount", SqlDbType.Bit),
					new SqlParameter("@OrderType", SqlDbType.Bit),
					new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
					};
			parameters[0].Value = "T_Equipment";
			parameters[1].Value = "F_EquipID";
			parameters[2].Value = PageSize;
			parameters[3].Value = PageIndex;
			parameters[4].Value = 0;
			parameters[5].Value = 0;
			parameters[6].Value = strWhere;	
			return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
		}*/

		#endregion  BasicMethod
		#region  ExtensionMethod

		#endregion  ExtensionMethod
	}
}

